#ifndef _MTAPVFACTORY_h_
#define _MTAPVFACTORY_h_

#include "ApvAnalysis.h"
#include <map>

class MTApvFactory {
 public:
  typedef map<int,ApvAnalysis*> MapType;
  typedef map<ApvAnalysis*,int> MapTypeReversed;

  static MTApvFactory* instance();
  
  ApvAnalysis* getApv(int);

   void setEventReader(ApvEventReader *);
   ApvEventReader* eventReader(){return theEventReader;}

   void clearAllCalibrations();
  private:
   void deleteApv(ApvAnalysis*);
   ApvAnalysis* constructApv();
   ApvEventReader* theEventReader;
   static MTApvFactory* myInstance;
   MapType theMap;
   MapTypeReversed theMapReversed;
};

#endif
