#ifndef Tracker_MedianTT6CommonModeCalculator_h
#define Tracker_MedianTT6CommonModeCalculator_h

#include "TkCommonModeCalculator.h"
#include "TkNoiseCalculator.h"
#include "TkApvMask.h"

/**
 * Another TkCommonModeCalculator concrete implementation.
 */
class MedianTT6CommonModeCalculator : public TkCommonModeCalculator {
public:  
    
  // Use the first constructor, as the second one will soon
  // be obsolete.
  MedianTT6CommonModeCalculator(TkNoiseCalculator* noise_calc,
                          TkApvMask* mask_calc);
  /*
  MedianTT6CommonModeCalculator(TkNoiseCalculator* noise_calc,
                          TkApvMask* mask_calc, float sig_cut);
  */

  ~MedianTT6CommonModeCalculator();

  ApvAnalysis::SubtractedSignalType doIt(ApvAnalysis::SubtractedSignalType); 
  
  void setCM(TkCommonMode* in) {theTkCommonMode = in;}
  void setCM(vector<float> in) {theTkCommonMode->setCommonMode(in);}
  TkCommonMode* commonMode() {return theTkCommonMode;}

  void newEvent();
  
protected:
  
  void calculateCommonMode(ApvAnalysis::SubtractedSignalType&);
  
  TkCommonMode*        theTkCommonMode;
  vector<float>        theCommonModeValues;
  TkNoiseCalculator*   theNoiseCalculator;
  TkApvMask*           theApvMask;
  bool alreadyUsedEvent;

  //  static SimpleConfigurable<float> cutToAvoidSignal;
}; 
#endif




