#ifndef Tracker_APV_RandomEventreader_H
#define Tracker_APV_RandomEventreader_H

#include "Tracker/ApvAnalysis/interface/ApvEventReader.h"
#include "Tracker/ApvAnalysis/interface/TkPedestalCalculator.h"
#include "CLHEP/Random/RandomEngine.h"


class RandomApvEventReader : public ApvEventReader{
 public:

  RandomApvEventReader();
 ~ RandomApvEventReader();

  bool goToSpecificEvent(int run, int number);
  bool nextEvent();
  
  ApvAnalysis::RawSignalType rawSignal(ApvAnalysis& in);
  
  TkPedestalCalculator::PedestalType loadPedestals(ApvAnalysis&);
  void savePedestals(TkPedestalCalculator::PedestalType,ApvAnalysis&);
  TkNoiseCalculator::NoiseType loadNoise(ApvAnalysis&);
  void saveNoise(TkNoiseCalculator::NoiseType,ApvAnalysis&);
  
  void generateSignalOnStrip(int,float,float);
  void generateClusterCenteredOnStrip(int,int,float,float,float);

 private:
  
  void generateCM();
  void generatePeds();
  
  
  ApvAnalysis::SubtractedSignalType theSpike;
  TkPedestalCalculator::PedestalType thePeds;
  ApvAnalysis::SubtractedSignalType theCM;
  ApvAnalysis::RawSignalType theSignal;
  HepRandomEngine* theEngine;
};

#endif
