#ifndef _TRACKER_ReferenceApvAnalysisFactory_H
#define _TRACKER_ReferenceApvAnalysisFactory_H

#include "Tracker/ApvAnalysis/interface/ApvAnalysis.h"
#include "Tracker/ApvAnalysis/interface/ApvAnalysisFactory.h"
#include <map>
#include <vector>

class DetUnit;
class ApvAnalysis;
class ApvEventReader;

class ReferenceApvAnalysisFactory : public ApvAnalysisFactory{
 public:
  virtual void addDetUnitAndConstructApvs(const DetUnit *);
  ReferenceApvAnalysisFactory();
  ~ReferenceApvAnalysisFactory();

  virtual string myName();

  void setEventReader(ApvEventReader* in){theEventReader=in;}
  virtual ApvAnalysis::StripDigisType doIt(const DetUnit*);
  ApvEventReader*  eventReader(){return theEventReader;}
 private:
  void constructAuxiliaryApvClasses(ApvAnalysis *);
  ApvEventReader* theEventReader;
  
};
#endif
