#ifndef Tracker_ReferencePedestalCalculator_h
#define Tracker_ReferencePedestalCalculator_h

#include "TkPedestalCalculator.h"

class ReferencePedestalCalculator: public TkPedestalCalculator {
 public:
  ReferencePedestalCalculator(int tobedone) {
    eventsToBeDone=tobedone; 
    numberOfEvents=0; 
    theStatus.setCalibrating();
    alreadyUsedEvent = false;
  }
  
  PedestalType pedestal() const {return thePedestal;}
  
  void resetPedestals() {thePedestal.clear();}
  void setPedestals (PedestalType in) {thePedestal=in;}
  
  void updateStatus();
  
  //
  // Actions
  //
  
  ApvAnalysis::SubtractedSignalType doIt(ApvAnalysis::RawSignalType in);
  
  void updatePedestal (ApvAnalysis::RawSignalType in);

  void newEvent();

  
 protected:
  PedestalType thePedestal;
  int numberOfEvents;
  int eventsToBeDone;
  bool alreadyUsedEvent;
};
#endif

