#ifndef _TT6APVFACTORY_h_
#define _TT6APVFACTORY_h_

#include "ApvAnalysis.h"
#include <map>

class TT6ApvFactory {
 public:
  typedef map<int,ApvAnalysis*> MapType;
  typedef map<ApvAnalysis*,int> MapTypeReversed;

  static TT6ApvFactory* instance();
  
  ApvAnalysis* getApv(int);

   void setEventReader(ApvEventReader *);
   ApvEventReader* eventReader(){return theEventReader;}
   void setParameters(int _nEventForInitialization, int _nEventForUpdate,
                      int _fNoisyStripDefinition, float _cutToAvoidSignal,
                      float _cutForNoisyStrips, float _cutForDeadStrips,
                      int _nTopology, int _cmFlag);


   void clearAllCalibrations();
  private:
   void deleteApv(ApvAnalysis*);
   ApvAnalysis* constructApv();
   ApvEventReader* theEventReader;
   static TT6ApvFactory* myInstance;
   MapType theMap;
   MapTypeReversed theMapReversed;

  // variables specific to TT6ApvAnalysisFactory

  int nEventForInitialization, nEventForUpdate, fNoisyStripDefinition;
  float cutToAvoidSignal, cutForNoisyStrips, cutForDeadStrips;
  int nTopology, cmFlag;
};

#endif









