#ifndef _TT6EVENTREADER_H
#define _TT6EVENTREADER_H

#include "ApvAnalysis.h"
#include "ApvEventReader.h"
#include <map>
#include <fstream>

class TT6EventReader : public ApvEventReader {
 public:

  typedef map<ApvAnalysis*, ApvAnalysis::RawSignalType> MapType;
  
  virtual bool nextEvent();
  
  virtual ApvAnalysis::RawSignalType rawSignal(ApvAnalysis& in);
  
  void setEvent(int apv, ApvAnalysis::RawSignalType sig, int rflag);

  bool openRawFile (const char * rfile_name);
  void writeRawData(int apv, ApvAnalysis::RawSignalType sig);
  void closeRawFile();

 private:
  MapType theMap;
  ofstream theRawFile;
};

#endif
