#ifndef ApvAnalysis_TT6NoiseCalculator_H
#define ApvAnalysis_TT6NoiseCalculator_H

#include "TkNoiseCalculator.h"

class TT6NoiseCalculator : public TkNoiseCalculator {
  
public:  
  
  TT6NoiseCalculator(int evnt_ini,int evnt_iter,float sig_cut);
  ~TT6NoiseCalculator();

  void setStripNoise(NoiseType in) {theNoise.clear(); theNoise = in;}
  TkNoiseCalculator::NoiseType stripNoise() const {return theNoise;}
  float stripNoise(int in) const {return theNoise[in];}
  int nevents() const {return numberOfEvents;}

  void updateStatus();  
  void resetNoise() {theNoise.clear();}
  void updateNoise(ApvAnalysis::SubtractedSignalType);
  void newEvent();
  
  ApvAnalysis::SubtractedSignalType stripCMPSubtractedSignal() const
               {return theCMPSubtractedSignal;}



protected:
  TkNoiseCalculator::NoiseType theNoise,theNoiseSum,theNoiseSqSum;
  ApvAnalysis::SubtractedSignalType theCMPSubtractedSignal;
  vector<unsigned short> theEventPerStrip;
  int eventsForInitialization,eventsForIteration;
  float cutToAvoidSignal;
  int numberOfEvents;
  bool alreadyUsedEvent;
};
#endif
