#include <cmath>
#include "ReferenceNoiseCalculator.h"



void ReferenceNoiseCalculator::updateStatus(){
  if (theStatus.isCalibrating() && numberOfEvents >eventsToBeDone) {
    theStatus.setReady();
    //
    // Print out the noise!
    //
  }
}
void ReferenceNoiseCalculator::updateNoise(ApvAnalysis::SubtractedSignalType in){
  //
  // Stupid idea: theNoise contains the \sqrt(\sum(x[i]-xpedestal[i]-xcmp[i])^2/N)
  // I mean: it already gets the output from ApvAnalysis::CMPSubtractedSignal and updates the noise

  
  
  if(theStatus.isCalibrating() || theStatus.isUpdating()){
    if (theNoise.size() ==0) for (int i=0; i<in.size(); i++)theNoise.push_back(0.);
    if(alreadyUsedEvent == false){
      alreadyUsedEvent = true;
      NoiseType temp;
      int oldNumberOfEvents = numberOfEvents;
      numberOfEvents++;
      for (int i=0;i<theNoise.size();i++){
	//	cout <<" Channel "<<i<<" Noise in this event is "<<in[i]<<endl;
	temp.push_back(((theNoise[i]*theNoise[i]*oldNumberOfEvents+(in[i])*(in[i]))/numberOfEvents));
	theNoise[i] = sqrt(temp[i]);

      }
    }
    updateStatus();
  }
}
void ReferenceNoiseCalculator::newEvent(){
  alreadyUsedEvent =false;
}
