#include "ReferencePedestalCalculator.h"
#include "TkStateMachine.h"

void ReferencePedestalCalculator::updatePedestal(ApvAnalysis::RawSignalType in) {
  //
  // I take the old vector, multiply by numberOfEvents to get the total
  // add the new and re-divide
  //
  //  cout <<" Entering ReferencePedestalCalculator::updatePedestal with a vector of "<<in.size()<<endl;
  if (alreadyUsedEvent == false){
    alreadyUsedEvent = true;
    TkPedestalCalculator::PedestalType temp;
    for (int i=0; i<in.size(); i++){
      temp.push_back((thePedestal[i]*numberOfEvents+in[i])/(numberOfEvents+1));
    }
    numberOfEvents++;
    thePedestal = temp;
    //  cout <<"Exiting ReferencePedestalCalculator::updatePedestal "<<thePedestal.size()<<endl;
  }
}

void ReferencePedestalCalculator::updateStatus() {
  //  cout <<"Update Staus ....."<<endl;
  if (theStatus.isCalibrating() && numberOfEvents >eventsToBeDone) {
    theStatus.setReady();
  }
  // cout <<"Update Staus OK!"<<endl;
}

ApvAnalysis::SubtractedSignalType ReferencePedestalCalculator::doIt(ApvAnalysis::RawSignalType in){
  ApvAnalysis::SubtractedSignalType temp;
  if(thePedestal.size() == 0){
    // This is the first time, I need to reserve it!
    for (int i=0; i<in.size();i++) thePedestal.push_back(0.);
  }
  for (int i=0; i<in.size(); i++){
    if (theStatus.isReady() || theStatus.isUpdating()){
      temp.push_back(in[i]-thePedestal[i]);
    }else{
      temp.push_back(0.);
    }
  }
  if (theStatus.isUpdating() || theStatus.isCalibrating()){
    updatePedestal(in);
  }
  (this)->updateStatus();
  return temp;
}

void ReferencePedestalCalculator::newEvent() {
  alreadyUsedEvent = false;
}
