#include "TT6EventReader.h"
#include "TT6ApvFactory.h"

bool TT6EventReader::nextEvent(){
  theMap.clear();
  return true;
}
//
// -- get Raw data
//
ApvAnalysis::RawSignalType TT6EventReader::rawSignal(ApvAnalysis& in){
  return theMap[&in];
}
//
// -- Set event
// 
void TT6EventReader::setEvent(int apv, 
             ApvAnalysis::RawSignalType sig, int rflag){
  ApvAnalysis* myApv = TT6ApvFactory::instance()->getApv(apv);
  theMap[myApv] = sig;
  if (rflag != 0)  writeRawData(apv, sig);
}
//
// -- Open Raw Data File
//
bool TT6EventReader::openRawFile (const char * rfile_name) {
  theRawFile.open(rfile_name, ios::out); 
  if (!theRawFile) {
    cout << " Problem in Opening !!! " << rfile_name << endl;
     return false;
  }
  cout << "Opening File " << rfile_name << " for Raw Data " << endl;
  return true; 
}
//
// -- write Raw Data 
//
void TT6EventReader::writeRawData(int apv, ApvAnalysis::RawSignalType sig) {
  theRawFile << "APV Number " << apv << endl;
  unsigned int i = 0;
  while (i < sig.size()) {
    if ((i%16) <= 15) {
      cout << "I am here " << endl;
      theRawFile << sig[i+0] << " " << sig[i+1] << " " << sig[i+2] << " " 
                 << sig[i+3] << " " << sig[i+4] << " " << sig[i+5] << " " 
                 << sig[i+6] << " " << sig[i+7] << " " << sig[i+8] << " " 
                 << sig[i+9] << " " << sig[i+10] << " " << sig[i+11] << " "
                << sig[i+12] << " " << sig[i+13] << " " << sig[i+14] << " " 
                << sig[i+15] << endl;
      i+=16;
    }   
  }
}
//
// -- Close Raw Data File
//
void TT6EventReader::closeRawFile () {
  cout << " Closing Raw Data File " << endl;
  theRawFile.close(); 
}
