#ifndef VIEWER_ConfigAutoRunInfo
#define VIEWER_ConfigAutoRunInfo

#include "TGFrame.h"
#include "TGButton.h"
#include "TGLabel.h"
#include "TGTextEntry.h"
#include "TGNumberEntry.h"
#include <string>

enum EConfigAutoRunInfo {
  TB_BROWSE_CONF,
  
  RB_PEAK_MODE,
  RB_DECO_MODE,
  RB_INVERT_OFF,
  RB_INVERT_ON,
  RB_PEDS_TYPE,
  RB_CALB_TYPE,
  RB_HV_ON,
  RB_HV_OFF, 

  TE_CONF_FILE,
  TE_SAVE_ROOT_NAME,

  TB_AUTO_BROWS_CFILE,
  TB_AUTO_DEF,
  TB_AUTO_CLEAR,
  TB_AUTO_CANCEL,
  TB_AUTO_EXIT,
  
};
class ConfigAutoRunInfo : public TGTransientFrame {

public:
   ConfigAutoRunInfo(const TGWindow* main, UInt_t w, UInt_t h, 
                int* imode, int* itype, int* ihv,
                UInt_t options = 0, 
                ULong_t back = fgDefaultFrameBackground);
   ~ConfigAutoRunInfo();
   void       CreateDisplay();
   Bool_t     ProcessMessage(Long_t msg, Long_t parm1, Long_t parm2);
  
   void       readAndSetValues();
   void       setDefaultValues();
   void       clearValues();
   void       selectConfigurationFile();
   void       cancelAction();
      
private:
   const TGWindow*  fParent;

   TGLabel*           fConfFileLab;
   TGTextEntry*       fConfFileEntry;   
   TGTextButton*      fConfFileBut;
   TGHorizontalFrame* fConfFileFrame;

   TGLabel*           fAPVModeLab;
   TGRadioButton*     fAPVModeRB[2];
   TGHorizontalFrame* fAPVModeFrame;

   TGLabel*           fAPVInvertLab;
   TGRadioButton*     fAPVInvertRB[2];
   TGHorizontalFrame* fAPVInvertFrame;

   TGLabel*           fDataTypeLab;
   TGRadioButton*     fDataTypeRB[2];
   TGHorizontalFrame* fDataTypeFrame;

   TGLabel*           fHVOptionLab;
   TGRadioButton*     fHVOptionRB[2];
   TGHorizontalFrame* fHVOptionFrame;

   TGLabel*           fRootFileSaveLab;
   TGTextEntry*       fRootFileSaveEntry;   
   TGHorizontalFrame* fRootFileSaveFrame;

   TGTextButton*      fDefaultButton;
   TGTextButton*      fClearButton;
   TGTextButton*      fCancelButton; 
   TGTextButton*      fSetExitButton;
   TGHorizontalFrame* fButtonFrame;
   
   TGLayoutHints*     fL;
   TGLayoutHints*     fLBut;
         
   int*              fAPVMode;
   int*              fDataType;
   int*              fHVOption;

   string            fRootFileSaveName;
   string            fConfFileName;
};

#endif
