#ifndef VIEWER_ConfigBadChannel
#define VIEWER_ConfigBadChannel

#include "TGFrame.h"
#include "TGButton.h"
#include "TGLabeledEntry.h"

enum EConfigBadChannel {
  TB_DEFAULT_VAL,
  TB_CLEAR_VAL,
  TB_SET_EXIT
};
class ConfigBadChannel : public TGTransientFrame {

public:
   ConfigBadChannel(const TGWindow *main, 
                UInt_t w, UInt_t h, int* nchan, int* icut,
		       float* cut_low, float* cut_high,
                UInt_t options = 0, 
                ULong_t back = fgDefaultFrameBackground);
   ~ConfigBadChannel();
   void       CreateDisplay();
   Bool_t     ProcessMessage(Long_t msg, Long_t parm1, Long_t parm2);
  
   void       readAndSetValues();
   void       setDefaultValues();
   void       clearValues();
      
private:
   
   TGLabeledEntry*    fNAPVEntry;
   TGLabeledEntry*    fCutTypeEntry;
   TGLabeledEntry*    fPedLowEntry;
   TGLabeledEntry*    fRNoiLowEntry;
   TGLabeledEntry*    fCMNoiLowEntry;
   TGLabeledEntry*    fMaxCalLowEntry;
   TGLabeledEntry*    fPedHighEntry;
   TGLabeledEntry*    fRNoiHighEntry;
   TGLabeledEntry*    fCMNoiHighEntry;
   TGLabeledEntry*    fMaxCalHighEntry;

   TGHorizontalFrame* fNAPVFrame;
   TGHorizontalFrame* fCutTypeFrame;
   TGHorizontalFrame* fPedFrame;
   TGHorizontalFrame* fRNoiFrame;
   TGHorizontalFrame* fCMNoiFrame;
   TGHorizontalFrame* fMaxCalFrame;

   TGTextButton*      fDefaultButton;
   TGTextButton*      fClearButton;
   TGTextButton*      fSetExitButton;
   TGHorizontalFrame* fButtonFrame;

   TGLayoutHints*     fL;
   TGLayoutHints*     fLBut;
         
   int*              fNAPV;
   int*              fCutType;
   float*            fCutLow;
   float*            fCutHigh;
};

#endif
