#ifndef VIEWER_HistogramViewingTab
#define VIEWER_HistogramViewingTab

#include "TGFrame.h"
#include "TRootEmbeddedCanvas.h"
#include "TGButton.h"
#include "TGTextEntry.h"
#include "TGLabel.h"
#include "TFile.h"
#include "TGComboBox.h"

#include<vector>
#include<map>

enum EHistogramViewingTabId {
  RB_HISTO_PLOT_A,
  RB_HISTO_PLOT_B,
  RB_HISTO_PLOT_C,


  TB_FILE,
  TB_BROW,
  TB_CLEAR,
  TB_MACRO,
  TB_SAVE,
  TB_PRINT,
  TB_ANAL,

  TB_PLOT,
 
  CB_LYON_SEL,

  CM_HISTO_TYPE

};
class HistogramViewingTab : public TGCompositeFrame {

public:
   HistogramViewingTab(const TGMainFrame *parent, const TGWindow *main, 
                UInt_t w, UInt_t h, UInt_t options = 0, 
                ULong_t back = fgDefaultFrameBackground);
   ~HistogramViewingTab();
   void       CreateDisplay();
   Bool_t     ProcessMessage(Long_t msg, Long_t parm1, Long_t parm2);
   
   void       loadFile();
   void       plotHistogram();
   void       clearCanvas();
   void       executeMacro();
   void       executeStandardMacro();
   void       saveCanvas();
   void       printCanvas();
   void       analyseBadChannels();
   TCanvas*   getCanvas();
private:
   TGHorizontalFrame*   fHistoFrame;      
   TRootEmbeddedCanvas* fHistoCanvas;
   
   TGHorizontalFrame*   fTypeFrame;
   TGGroupFrame*        fPlotTypeGFrame;      
   TGRadioButton*       fPlotTypeRB[3];
   TGTextEntry*         fPlotTypeEntry[3];
   TGHorizontalFrame*   fPlotTypeFrame[3];
   TGComboBox*          fHistoTypeBox;
   TGTextButton*        fPlotBut;
   TGTextButton*        fAnalBut;
   TGLabel*             fHistoTypeLab;   


   TGTextButton*        fFileBut; 
   TGTextButton*        fBrowserBut;
   TGTextButton*        fClearBut;
   TGTextButton*        fMacroBut;
   TGTextButton*        fSaveBut;
   TGTextButton*        fPrintBut;
   TGCheckButton*       fLyonSelectCB;
   TGVerticalFrame*     fButtonFrame;
   
   TGLayoutHints*       fL;
   TGLayoutHints*       fLType;
   TGLayoutHints*       fLBut;
   TGLayoutHints*       fLAnalBut;

   TFile*               fRootFile;

   int                  fHistogramType;
   int                  nAPVsToBePlotted;
   int                  IdAPV;
   int                  moduleFlag;
   int                  fLyonFlag;
};

#endif
