#ifndef VIEWER_OnlineHistogramTab
#define VIEWER_OnlineHistogramTab

#ifndef ROOT_TGFrame
#include "TGFrame.h"
#endif
#include "TGTab.h"
#include "TRootEmbeddedCanvas.h"
#include "TGNumberEntry.h"
#include "TGLabel.h"
#include "TGComboBox.h"


enum EOnlineHistogramTabId {
  NE_CHAN,
  NE_STRIP
};
class OnlineHistogramTab : public TGCompositeFrame {

public:
   OnlineHistogramTab(const TGMainFrame *parent, const TGWindow *main, 
                UInt_t w, UInt_t h, UInt_t options = 0, 
                ULong_t back = fgDefaultFrameBackground);
   ~OnlineHistogramTab();
   void       CreateDisplay();
   Bool_t     ProcessMessage(Long_t msg, Long_t parm1, Long_t parm2);
   int        getCurrentTabId();
   int        getAPVIdToBePlotted();
   int        getStripIdToBePlotted();
   TCanvas*   getRawCanvas();
   TCanvas*   getPedCanvas();   
   TCanvas*   getRNoiseCanvas();   
   TCanvas*   getCMNoiseCanvas();   
   TCanvas*   getCMCanvas();   
   TCanvas*   getCalibCanvas();   
   TCanvas*   getSelectedCanvas(); 
   
private:
   
   const TGMainFrame*  fParent;

   TGCompositeFrame*    fOnlinePlotTabFrame;

   TGHorizontalFrame*   fChannelStripFrame; 
   TGLabel*             fChannelLabel;
   TGLabel*             fStripLabel;
   TGNumberEntry*       fChannelEntry;
   TGNumberEntry*       fStripEntry;

   TGCompositeFrame*    fRawFrame;   
   TGCompositeFrame*    fPedFrame;   
   TGCompositeFrame*    fRNoiseFrame;   
   TGCompositeFrame*    fCMNoiseFrame; 
   TGCompositeFrame*    fCMFrame;   
   TGCompositeFrame*    fCalibFrame;   
   TRootEmbeddedCanvas* fRawCanvas;
   TRootEmbeddedCanvas* fPedCanvas;
   TRootEmbeddedCanvas* fRNoiseCanvas;
   TRootEmbeddedCanvas* fCMNoiseCanvas;
   TRootEmbeddedCanvas* fCMCanvas;
   TRootEmbeddedCanvas* fCalibCanvas;
   
   TGTab*               fOnlinePlotTab;
   TGLayoutHints*       fL1;
   TGLayoutHints*       fL2;

   int                  fChannelNumber;

};

#endif
