#ifndef VIEWER_PrintSetup
#define VIEWER_PrintSetup

#ifndef ROOT_TGFrame
#include "TGFrame.h"
#endif
#include "TGButton.h"
#include "TGTextEntry.h"
#include "TGTextBuffer.h"
#include "TGLabel.h"

//////////////////////////////////////////////////////////////////////////
//                                                                      //
//  A Print Dialog                                                      //
//                                                                      //
//                                                                      //
//////////////////////////////////////////////////////////////////////////

enum EPrintSetupId {
  M_PRINTSETUP_BROWSE,
  M_PRINTSETUP_PRINT,
  M_PRINTSETUP_CANCEL
};

class PrintSetup : public TGTransientFrame {

public:
   PrintSetup(const TGWindow *p, const TGWindow* main,
              UInt_t w, UInt_t h, Int_t *ret_code, Int_t *flag, char *pname,
              UInt_t options = 0);
   ~PrintSetup();
   void     CreateDisplay();
   Bool_t   ProcessMessage(Long_t msg, Long_t parm1, Long_t parm2);
   void     setDefaultState();
   virtual  void CloseWindow();
   void     readOutputName();
private:
   const TGWindow    *fParent;
   Int_t             *fRetCode, *fFlagVal;
   char              *fOutputName;
   TGLayoutHints     *fL1, *fL2;
   TGGroupFrame      *fDestGFrame;
   TGCompositeFrame  *fPrintToFrame;
   TGCompositeFrame  *fPrinterFrame;
   TGCompositeFrame  *fBrowseFrame;
   TGHorizontalFrame *fButtonFrame;
   TGTextEntry       *fPrinterEntry;
   TGTextEntry       *fFileEntry;
   TGTextBuffer      *fPrinterBuf;
   TGTextBuffer      *fFileBuf;
   TGTextButton      *fBrowseButton;
   TGTextButton      *fPrintButton;
   TGTextButton      *fCancelButton;
   TGRadioButton     *fDestRB[2];
};

#endif
