#ifndef VIEWER_TextViewer
#define VIEWER_TextViewer

#ifndef ROOT_TGFrame
#include "TGFrame.h"
#endif
#include "TGTextView.h"
#include "TGButton.h"
#include "TGText.h"

class TextViewer : public TGTransientFrame {

public:
   TextViewer(const TGWindow *main, UInt_t w, UInt_t h);
   virtual ~TextViewer();
   void   SetText(const TGText *buffer);
   void   LoadBuffer(const char *buffer);
   void   LoadFile(const char *file);
   TGTextView *GetViewer() const {return fView;}
   void   SetTitle();
   void   Popup();
   void   CloseWindow();
   Bool_t ProcessMessage(Long_t msg, Long_t parm1, Long_t parm2);

private:
   TGTextView       *fView;   // text View widget
   TGTextButton     *fOK;     // OK button
   TGLayoutHints    *fL1;     // layout of TGTextView
   TGLayoutHints    *fL2;     // layout of OK button
};
#endif
