void plot_max_charge_vs_strip_tt6(int imod, int nchip, int idchip, const char* canvas_name) {
  char  hName[30], hTitle[30], hNameMaxChS[15];
  int ich;
  static const int nChan  = 128;
  TCanvas * tc = (TCanvas *) gROOT->FindObject(canvas_name);
  if (tc) { 
    gStyle->SetOptStat(0); // no statistics
    if (imod == -1) {
      for (int i = 0; i < nchip; i++) {
        tc->cd(i+1);
        if (nchip == 1) {
          ich = idchip;
        } else {
          ich = i+1;
        }
        sprintf(hName, "APV_%i_Strip_01",ich);
        TH1 *fTh1 = (TH1 *) gROOT->FindObject(hName);
        if (fTh1) {
          sprintf(hTitle, " Maximum Charge vs Strip :APV #%i",ich); 
          sprintf(hNameMaxChS,"hMaxChS%i",i);
          TH1 *fTempH = (TH1 *) gROOT->FindObject(hNameMaxChS);
          if (fTempH) delete fTempH;
        
          TH1F* hMaxChS =  new TH1F(hNameMaxChS, hTitle, nChan, 0.5, nChan+0.5);
          for (int k = 0; k < nChan; k++) {
            if (k<9)
              sprintf(hName, "APV_%i_Strip_0%i",ich,k+1);
            else
              sprintf(hName, "APV_%i_Strip_%i",ich,k+1);    
            TH1 *fTh1i = (TH1 *) gROOT->FindObject(hName);    
            hMaxChS->Fill(float(k+1), fTh1i->GetMinimum());
          }
          hMaxChS->GetXaxis()->SetLabelSize(0.07);
          hMaxChS->GetYaxis()->SetLabelSize(0.07);
          hMaxChS->Draw();
        }
      }
    } else {
      tc->cd(1);
      Int_t nStrips = nChan * nchip;
      sprintf(hTitle, " Maximum Charge vs Strip"); 
      sprintf(hNameMaxChS,"hMaxChS");
      TH1 *fTempH = (TH1 *) gROOT->FindObject(hNameMaxChS);
      if (fTempH) delete fTempH;

      TH1F* hMaxChS = new TH1F(hNameMaxChS,hTitle,nStrips,0.5, nStrips+0.5);
      for (int i = 0; i < nchip; i++) {
        sprintf(hName, "APV_%i_Strip_01",i+1);
        TH1 *fTh1 = (TH1 *) gROOT->FindObject(hName);
        if (fTh1) {
          for (int k = 0; k < nChan; k++) {
            if (k<9)
              sprintf(hName, "APV_%i_Strip_0%i",i+1,k+1);
            else
              sprintf(hName, "APV_%i_Strip_%i",i+1,k+1); 
            TH1 *fTh1i = (TH1 *) gROOT->FindObject(hName);    
            hMaxChS->Fill(float(k+1+i*nChan), fTh1i->GetMinimum());
          }
        }
      }
      hMaxChS->GetXaxis()->SetLabelSize(0.07);
      hMaxChS->GetYaxis()->SetLabelSize(0.07);
      hMaxChS->Draw();     
    }
  }
}  
