void plot_noise_vs_strip(int imod, int nchip, int idchip, const char* canvas_name) {
  char  hName[30], hTitle[30], hNameNoiseS[10];;
  TCanvas * tc = (TCanvas *) gROOT->FindObject(canvas_name);
  if (tc) { 
    gStyle->SetOptStat(0); // no statistics
    if (imod == -1) {
      for (int i = 0; i < nchip; i++) {
        tc->cd(i+1);
        if (nchip == 1) {
          sprintf(hName, "noise_%i",idchip-1);
          sprintf(hTitle, " Noise for APV #%i",idchip);
        } else {
          sprintf(hName, "noise_%i",i);
          sprintf(hTitle, " Noise for APV #%i",i+1);
        }
        TH1 *fTh1 = (TH1 *) gROOT->FindObject(hName);   
        if (fTh1) {
          Int_t nBin  = fTh1->GetNbinsX();
          sprintf(hNameNoiseS,"hNoiseS%i",i);
          TH1 *fTempH = (TH1 *) gROOT->FindObject(hNameNoiseS);
          if (fTempH) delete fTempH;
          TH1F* hNoiseS =  new TH1F(hNameNoiseS,hTitle,nBin,0.5,nBin+0.5);
          for (int k = 1; k < nBin+1; k++) {
            hNoiseS->Fill(float(k), fTh1->GetBinError(k));
          }      
          hNoiseS->GetXaxis()->SetLabelSize(0.07);
          hNoiseS->GetYaxis()->SetLabelSize(0.07);
          hNoiseS->SetMinimum(0.0);
          hNoiseS->SetMaximum(25.0);
          hNoiseS->Draw();
        }
      }
    } else {
      tc->cd(1);
      Int_t nStrips = 128 * nchip;
      sprintf(hNameNoiseS, "Noise");
      sprintf(hTitle, "Noise Vs Strips");
      TH1 *fTempH = (TH1 *) gROOT->FindObject(hNameNoiseS);
      if (fTempH) delete fTempH;      
      TH1F* hNoiseS = new TH1F (hNameNoiseS, hTitle, nStrips,
                            0.5, nStrips+0.5);
      for (int i = 0; i < nchip; i++) {
        sprintf(hName, "noise_%i",i);
        TH1 *fTh1 = (TH1 *) gROOT->FindObject(hName);
        if (fTh1) {
          Int_t nBin = fTh1->GetNbinsX();
          for (int k = 1; k < nBin+1; k++) {
            hNoiseS->Fill((k+(i*128.0)), fTh1->GetBinError(k));
          }
        }
      }
      hNoiseS->GetXaxis()->SetLabelSize(0.07);
      hNoiseS->GetYaxis()->SetLabelSize(0.07);
      hNoiseS->SetMinimum(0.0);
      hNoiseS->SetMaximum(25.0);
      hNoiseS->Draw();
    }
  }  
}
