void plot_noise_vs_strip_tt6(int imod, int nchip, int idchip, const char* canvas_name) {

  char  hTitle[30], hNameCMNoise[30], hNameCMNoiseM[30];
  TCanvas * tc = (TCanvas *) gROOT->FindObject(canvas_name);
  if (tc) { 
    gStyle->SetOptStat(0);
    if (imod == -1) {
      for (int i = 0; i < nchip; i++) {
        tc->cd(i+1);
        if (nchip == 1) {
          sprintf(hNameCMNoise, "APV_%i_cmnoise_vs_str",idchip);
        } else {
          sprintf(hNameCMNoise, "APV_%i_cmnoise_vs_str",i+1);
        }
        TH1 *fTh1 = (TH1 *) gROOT->FindObject(hNameCMNoise);
        if (fTh1) {
          fTh1->GetXaxis()->SetLabelSize(0.07);
          fTh1->GetYaxis()->SetLabelSize(0.07);
          fTh1->Draw();
        }
      }
    } else {
      tc->cd(1);
      Int_t nStrips = 128 * nchip;
      sprintf(hNameCMNoiseM, "CMNoise_vs_Strip");
      sprintf(hTitle, "CM Noise Vs Strip");      
      TH1 *fTempH = (TH1 *) gROOT->FindObject(hNameCMNoiseM);
      if (fTempH) delete fTempH;      
      TH1F* fThCMNoise = new TH1F (hNameCMNoiseM, hTitle, nStrips,
                               0.5,  nStrips+0.5);
      for (int i = 0; i < nchip; i++) {
        sprintf(hNameCMNoise, "APV_%i_cmnoise_vs_str",i+1);        
        TH1 *fTh1 = (TH1 *) gROOT->FindObject(hNameCMNoise);
        if (fTh1) {
          Int_t nBin = fTh1->GetNbinsX();
          for (int k = 1; k < nBin+1; k++) {
            fThCMNoise->Fill((k+(i*128.0)), fTh1->GetBinContent(k));
          }
        }
      }
      fThCMNoise->GetXaxis()->SetLabelSize(0.07);
      fThCMNoise->GetYaxis()->SetLabelSize(0.07);
      fThCMNoise->Draw();      
    } 
  }
}
