void plot_pedestal(int imod, int nchip, int idchip, const char* canvas_name) {

  char  hName[20], hTitle[30], hNamePed[10];
  TCanvas * tc = (TCanvas *) gROOT->FindObject(canvas_name);
  if (tc) { 
    if (imod == -1) {
      for (int i = 0; i < nchip; i++) {
        tc->cd(i+1);
        if (nchip == 1) {
          sprintf(hName, "pedestal_%i",idchip-1);
          sprintf(hTitle, " Pedestal for APV #%i",idchip);
        } else {
          sprintf(hName, "pedestal_%i",i);
          sprintf(hTitle, " Pedestal for APV #%i",i+1);
        }
        TH1 *fTh1 = (TH1 *) gROOT->FindObject(hName);
        sprintf(hNamePed,"hPed%i",i);
        TH1 *fTempH = (TH1 *) gROOT->FindObject(hNamePed);
        if (fTempH) delete fTempH;
        TH1F* hPed =  new TH1F(hNamePed, hTitle, 100, 150.0, 300.0);
        if (fTh1) {
          Int_t nBin = fTh1->GetNbinsX();
	  for (int k = 1; k < nBin+1; k++) {
            hPed->Fill(fTh1->GetBinContent(k));
	  }
          hPed->GetXaxis()->SetLabelSize(0.07);
          hPed->GetYaxis()->SetLabelSize(0.07);
          hPed->Draw();
	}
      }
    } else {
      tc->cd(1);
      sprintf(hNamePed, "Pedestal");
      sprintf(hTitle, "Pedestal Distribution");      
      TH1 *fTempH = (TH1 *) gROOT->FindObject(hNamePed);
      if (fTempH) delete fTempH;      
      TH1F* fThPed = new TH1F (hNamePed, hTitle, 100, 150.0, 300.0);
      for (int i = 0; i < nchip; i++) {
        sprintf(hName, "pedestal_%i",i);
        TH1 *fTh1 = (TH1 *) gROOT->FindObject(hName);
        if (fTh1) {        
          Int_t nBin = fTh1->GetNbinsX();
          for (int k = 0; k < nBin+1; k++) {
            fThPed->Fill(fTh1->GetBinContent(k));
          }
        }
      }
      fThPed->Draw();      
    } 
  }
}
