void plot_pedestal_vs_strip(int imod, int nchip, int idchip, const char* canvas_name) {
  char  hName[30], hTitle[29], hNamePed[10];
  TCanvas * tc = (TCanvas *) gROOT->FindObject(canvas_name);
  if (tc) { 
    if (imod == -1) {
      gStyle->SetOptStat(0); // no statistics
      for (int i = 0; i < nchip; i++) {
        tc->cd(i+1);
        if (nchip == 1) {
          sprintf(hName, "pedestal_%i",idchip-1);
          sprintf(hTitle, " Pedestal for APV #%i",idchip);
        } else {
          sprintf(hName, "pedestal_%i",i);
          sprintf(hTitle, " Pedestal for APV #%i",i+1);
        }     
        TH1 *fTh1 = (TH1 *) gROOT->FindObject(hName);
        if (fTh1) {
          fTh1->GetXaxis()->SetLabelSize(0.07);
          fTh1->GetYaxis()->SetLabelSize(0.07);

          fTh1->SetNameTitle(hTitle, hTitle);
          fTh1->Draw();
        }
      }
    } else {
      tc->cd(1);
      Int_t nStrips = 128 * nchip;
      sprintf(hNamePed, "Pedestal");
      sprintf(hTitle, "Pedestal Vs Strips");
      TH1 *fTempH = (TH1 *) gROOT->FindObject(hNamePed);
      if (fTempH) delete fTempH;      
      TH1F* fThPed = new TH1F (hNamePed, hTitle, nStrips,
                            0.5, nStrips+0.5);
      fThPed->GetXaxis()->SetLabelSize(0.07);
      fThPed->GetYaxis()->SetLabelSize(0.07);
      for (int i = 0; i < nchip; i++) {
        sprintf(hName, "pedestal_%i",i);
        TH1 *fTh1 = (TH1 *) gROOT->FindObject(hName);
        if (fTh1) {
          Int_t nBin = fTh1->GetNbinsX();
          for (int k = 1; k < nBin+1; k++) {
            fThPed->Fill((k+(i*128.0)), fTh1->GetBinContent(k));
          }
        }
      }
      fThPed->Draw();
    }
  }
}  
