void plot_rawnoise_vs_strip(int imod, int nchip, int idchip, const char* canvas_name) {
  char  hName[30], hTitle[30], hNameRNoiseS[10];;
  TCanvas * tc = (TCanvas *) gROOT->FindObject(canvas_name);
  if (tc) { 
    gStyle->SetOptStat(0); // no statistics
    if (imod == -1) {
      for (int i = 0; i < nchip; i++) {
        tc->cd(i+1);
        if (nchip == 1) {
          sprintf(hName, "pedestal_%i",idchip-1);
          sprintf(hTitle, " Raw Noise for APV #%i",idchip);
        } else {
          sprintf(hName, "pedestal_%i",i);
          sprintf(hTitle, " Raw Noise for APV #%i",i+1);
        }
        TH1 *fTh1 = (TH1 *) gROOT->FindObject(hName);   
        if (fTh1) {
          Int_t nBin  = fTh1->GetNbinsX();
          sprintf(hNameRNoiseS,"hRNoiseS%i",i);
          TH1 *fTempH = (TH1 *) gROOT->FindObject(hNameRNoiseS);
          if (fTempH) delete fTempH;
          TH1F* hRNoiseS =  new TH1F(hNameRNoiseS,hTitle,nBin,0.5,nBin+0.5);
          for (int k = 1; k < nBin+1; k++) {
            hRNoiseS->Fill(float(k), fTh1->GetBinError(k));
          }      
          hRNoiseS->GetXaxis()->SetLabelSize(0.07);
          hRNoiseS->GetYaxis()->SetLabelSize(0.07);
          hRNoiseS->SetMinimum(0.0);
          hRNoiseS->SetMaximum(5.0);
          hRNoiseS->Draw();
        }
      }
    } else {
      tc->cd(1);
      Int_t nStrips = 128 * nchip;
      sprintf(hNameRNoiseS, "Raw Noise");
      sprintf(hTitle, "Raw Noise Vs Strips");
      TH1 *fTempH = (TH1 *) gROOT->FindObject(hNameRNoiseS);
      if (fTempH) delete fTempH;      
      TH1F* hRNoiseS = new TH1F (hNameRNoiseS, hTitle, nStrips,
                            0.5, nStrips+0.5);
      for (int i = 0; i < nchip; i++) {
        sprintf(hName, "pedestal_%i",i);
        TH1 *fTh1 = (TH1 *) gROOT->FindObject(hName);
        if (fTh1) {
          Int_t nBin = fTh1->GetNbinsX();
          for (int k = 1; k < nBin+1; k++) {
            hRNoiseS->Fill((k+(i*128.0)), fTh1->GetBinError(k));
          }
        }
      }
      hRNoiseS->GetXaxis()->SetLabelSize(0.07);
      hRNoiseS->GetYaxis()->SetLabelSize(0.07);
      hRNoiseS->SetMinimum(0.0);
      hRNoiseS->SetMaximum(5.0);
      hRNoiseS->Draw();
    }
  }  
}
