void plot_tau_vs_strip_tt6(int imod, int nchip, int idchip, const char* canvas_name) {
  char  hName[30], hTitle[30], hNameTauS[15];
  TCanvas * tc = (TCanvas *) gROOT->FindObject(canvas_name);
  int ich;
  static const int nChan  = 128;
  if (tc) { 
    gStyle->SetOptStat(0); // no statistics
    if (imod == -1) {
      for (int i = 0; i < nchip; i++) {
        tc->cd(i+1);
        if (nchip == 1) {
          ich = idchip;
        } else {
          ich = i+1;
        }
        sprintf(hName, "APV_%i_Strip_01",ich);
        TH1 *fTh1 = (TH1 *) gROOT->FindObject(hName);

        if (fTh1) {
          sprintf(hTitle, " Rise Time for APV #%i",ich);      
          sprintf(hNameTauS,"hTauS%i",i);
          TH1 *fTempH = (TH1 *) gROOT->FindObject(hNameTauS);
          if (fTempH) delete fTempH;

          TH1F* hTauS =  new TH1F(hNameTauS, hTitle, nChan, 0.5, nChan+0.5);
          for (int k = 0; k < nChan; k++) {
            if (k<9)
              sprintf(hName, "APV_%i_Strip_0%i",ich,k+1);
            else
              sprintf(hName, "APV_%i_Strip_%i",ich,k+1);    
            TH1 *fTh1i = (TH1 *) gROOT->FindObject(hName);
            Int_t minBin = fTh1i->GetMinimumBin();
            float thrBin;   
            for (int j = 0; j < minBin; j++){
              if (fTh1i->GetBinContent(j) > -3.0){
                thrBin = j; 
              } else {
                break;
              }
            } 
            float tau_val = (minBin - thrBin)*3.125;
            hTauS->Fill(float(k+1),tau_val);
          }
          hTauS->GetXaxis()->SetLabelSize(0.05);
          hTauS->GetYaxis()->SetLabelSize(0.05);
          hTauS->Draw();
        }
      }
    } else {
      tc->cd(1);
      Int_t nStrips = nChan * nchip;
      sprintf(hTitle, " Rise Time vs Strip");  
      sprintf(hNameTauS,"hTauS");     
      TH1 *fTempH = (TH1 *) gROOT->FindObject(hNameTauS);
      if (fTempH) delete fTempH;

      TH1F* hTauS = new TH1F(hNameTauS,hTitle,nStrips,0.5, nStrips+0.5);
      for (int i = 0; i < nchip; i++) {
        sprintf(hName, "APV_%i_Strip_01",i+1);
        TH1 *fTh1 = (TH1 *) gROOT->FindObject(hName);
        if (fTh1) {
          for (int k = 0; k < nChan; k++) {
            if (k<9)
              sprintf(hName, "APV_%i_Strip_0%i",i+1,k+1);
            else
              sprintf(hName, "APV_%i_Strip_%i",i+1,k+1);    
            TH1 *fTh1i = (TH1 *) gROOT->FindObject(hName);    
            Int_t minBin = fTh1i->GetMinimumBin();
            float thrBin;   
            for (int j = 0; j < minBin; j++){
              if (fTh1i->GetBinContent(j) > -3.0){
                thrBin = j; 
              } else {
                break;
              }
            } 
            float tau_val = (minBin - thrBin)*3.125;
            hTauS->Fill(float(k+1+i*nChan), tau_val);
          }
        }
      }
      hTauS->GetXaxis()->SetLabelSize(0.05);
      hTauS->GetYaxis()->SetLabelSize(0.05);
      hTauS->Draw();     
    }
  }
}
